package com.caimei365.user.model.vo;

import lombok.Data;

import java.io.Serializable;

/**
 * 登录成功返回用户数据
 *
 * @author : Charles
 * @date : 2021/3/10
 */
@Data
public class UserLoginVo implements Serializable {
    /**
     * 用户ID
     */
    private Integer userId;
    /**
     * 机构ID
     */
    private Integer clubId;
    /**
     * 供应商ID
     */
    private Integer shopId;
    /**
     * 协销Id
     */
    private Integer serviceProviderId;
    /**
     * 企业账号名
     */
    private Integer account;
    /**
     * 机构名称
     */
    private String name;
    /**
     * 用户名
     */
    private String userName;
    /**
     * 邮箱
     */
    private String email;
    /**
     * 个人手机号码
     */
    private String mobile;
    /**
     * 企业绑定手机号
     */
    private String bindMobile;
    /**
     * 密码
     */
    private String password;
    /**
     * 用户身份: 1协销 2会员机构 3供应商 4普通机构
     */
    private Integer userIdentity;
    /**
     * 用户权限: 2会员机构 3供应商 4协销 5普通机构
     */
    private Integer userPermission;
    /**
     * 用户状态：
     * 机构：90:已上线，91:已冻结，92:审查资料未通过,待补充资料，1:待审查资料，2:电话预约，3:已预约，20:待确认，21:待拜访，30:待员工推荐，40:已完成第一次采购
     * 供应商：90:已上线，91:已下线，92:审核不通过，3:待审核
     */
    private Integer status;
    /**
     * token
     */
    private String token;
    /**
     * 微信unionId
     */
    private String unionId;
    /**
     * 微信openId
     */
    private String openId;

}
