package com.caimei365.user.service;

import com.caimei365.user.model.ResponseJson;

import java.util.Map;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/3/4
 */
public interface BaseService {
    /**
     * 获取图片验证码
     *
     * @param platformType 0:www，1:crm/h5，2:小程序
     * @return Map<String, Object>
     */
    ResponseJson<Map<String, Object>> getCaptchaImage(Integer platformType);

    /**
     * 校验图片验证码
     *
     * @param token        图片验证码token
     * @param imgCode      图片验证码
     * @param platformType 0:www，1:crm/h5，2:小程序
     * @return Boolean
     */
    Boolean checkCaptchaImage(String token, String imgCode, Integer platformType);

    /**
     * 获取短信验证码
     *
     * @param mobile           手机号
     * @param activateCodeType 1:找回密码,2:手机号注册机构,3:供应商注册
     * @param imgCode          图片验证码
     * @param token            图片验证码token
     * @param platformType     0:www，1:crm/h5，2:小程序
     * @return void
     */
    ResponseJson getSmsCode(String mobile, String activateCodeType, String imgCode, String token, Integer platformType);
}
